Subject: FVWM: fvwm built-in function

From: Shao Zhang <[email-masked]>
Date: Sun, 24 Dec 2000 01:57:52 +1100

Hi,

Where can I get a complete list of fvwm built-in functions for keybinding?
I searched the fvwm man pages and cannot find the list.

Thanks.

Shao.

-- 
____________________________________________________________________________
Shao Zhang - Running Debian 2.1  ___ _               _____
Department of Communications    / __| |_  __ _ ___  |_  / |_  __ _ _ _  __ _ 
University of New South Wales   \__ \ ' \/ _` / _ \  / /| ' \/ _` | ' \/ _` |
Sydney, Australia               |___/_||_\__,_\___/ /___|_||_\__,_|_||_\__, |
Email: [email-masked]                                                  |___/ 
_____________________________________________________________________________
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Sat, 23 Dec 2000 10:59:45 -0500

> I searched the fvwm man pages and cannot find the list.

If you are using 2.3.x the built in keybindings are described under:

BUILT IN KEY AND MOUSE BINDINGS

Perhaps you were having trouble searching for "built-in".  It looks like
our man page uses "built-in", "builtin" and "built in".
If we can figure out which one is correct, we will fix that.

--
Dan Espen
444 Hoes Lane  Room RRC 1C-214           E-mail: [email-masked]
Piscataway, NJ 08854                     Phone: (732) 699-5570
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Shao Zhang <[email-masked]>
Date: Sun, 24 Dec 2000 04:05:57 +1100

Hi,

> BUILT IN KEY AND MOUSE BINDINGS

Sorry, forgot to mention that I am using 2.2.4. I would love debian to package
the beta version of fvwm too...

> If we can figure out which one is correct, we will fix that.

I actually searched for the keywork Function, and FunctionName with no luck.

Regards,

Shao.

---

From: Dan Espen <[email-masked]>
Date: Sat, 23 Dec 2000 12:04:34 -0500

Shao Zhang <[email-masked]> writes:
> > > Where can I get a complete list of fvwm built-in functions for keybinding
> Sorry, forgot to mention that I am using 2.2.4. I would love debian to
> package the beta version of fvwm too...

Then I don't know what you are looking for, 2.2.4 doesn't have any
built in key bindings.

> I actually searched for the keywork Function, and FunctionName with no luck.

The command you can use to make your own keybindings is "Key".

---

From: Shao Zhang <[email-masked]>
Date: Sun, 24 Dec 2000 05:04:57 +1100

Hi,

> Then I don't know what you are looking for, 2.2.4 doesn't have any

Ok. Probably I am not clear enough. From the fvwm manpage:

    Key keyname Context Modifiers Function
              Binds  a  keyboard key to a specified fvwm built-in
              function, or removes the  binding  if  Function  is
              '-'.  Definition is the same as for a mouse binding
              except that the mouse  button  number  is  replaced
              with a key name.  The keyname is one of the entries
              from /usr/include/X11/keysymdef.h, with the leading
              XK_  omitted.  The Context and Modifiers fields are
              defined as in the Mouse binding. However, when  you
              press  a  key the context window is the window that
              has the keyboard focus. That is not necessarily the
              same  as the window the pointer is over (with Slop-
              pyFocus or ClickToFocus).

I need to find a complete list of "specified fvwm built-in function" as
described above, eg Move-or-Raise.

Regards,

Shao.

---

From: Michael Han <[email-masked]>
Date: Sat, 23 Dec 2000 09:53:08 -0800

On Sun, Dec 24, 2000 at 05:04:57AM +1100, Shao Zhang wrote:
> [snip]

The whole manpage documents the built-in functions. Move-or-Raise is
not a built-in function. It's defined in many default .fvwm2rc
configurations via the AddToFunc built-in. I thought I saw you write
that you're on Debian. The Debian package of fvwm2 probably defines a
lot of defaults somewhere like /etc/X11/fvwm2/ or something like that,
so maybe that's what you're trying to find out. But basically, the
documentation is, as far as FVWM itself is concerned, complete.
-- 
[email-masked]                            http://www.mikehan.com/
coffee achiever                              San Francisco, California
To understand recursion you must first understand recursion.
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Sat, 23 Dec 2000 12:54:46 -0500

> described above, eg Move-or-Raise.

Ah, now I see, thats not worded very well.

The built in functions this refers to are all the fvwm commands,
for example: move, iconify, raise, exec, windowlist, or any function
you write.

Theres only one built in function in 2.2.4, WindowListFunc.

---

From: Shao Zhang <[email-masked]>
Date: Mon, 25 Dec 2000 04:17:46 +1100

Hi,

> documentation is, as far as FVWM itself is concerned, complete.

Ok, now I understand. I misunderstood the built-in bit. But after reading a bit
man pages, I still cannot figure out my keybinding requirement.

I want to bind Alt-Left(right, up, down) to move the window in the current
viewport to the viewport next to it. Eg. Alt-left will move the window to the
viewport in the left with exactly the same placements and go to the left
viewport as well.

I use the following keybindings to scroll between viewports and it works very
well for me:
Key Left  A    C    Scroll -100 +0
Key Up    A    C    Scroll +0 -100
Key Right A    C    Scroll +100 +0
Key Down  A    C    Scroll +0 +100

Now to move the windows, I tried:
Key Left  A    M    Move -100 +0
Key Up    A    M    Move +0 -100
Key Right A    M    Move +100 +0
Key Down  A    M    Move +0 +100

But it does not move the window with the same placements. MoveToDesk seems to be
what I need. But after reading about it, it needs a relative viewport number as
an argument, which means if I change my viewports from 2x4 to 4x2, or 1x8, then
it won't work anymore.

Regards,

Shao.

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 25 Dec 2000 21:42:47 +0100

> Theres only one built in function in 2.2.4, WindowListFunc.

I think we refer to all fvwm commands as "builtins",
"built in commands" or "built in functions" but we have no name for
built in *complex* functions.

Bye

Dominik ^_^  ^_^

--
Dominik Vogt, [email-masked]
Reply-To: [email-masked]
--
Visit the official FVWM web page at <URL: http://www.fvwm.org/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dominik Vogt <[email-masked]>
Date: Mon, 25 Dec 2000 21:40:12 +0100

> an argument, which means if I change my viewports from 2x4 to 4x2, or 1x8, then

You are looking for the MoveToPage command.  In 2.2.x, you can
only give it an absolute page number, so what you want can not
easily be accomplished.  In 2.3.x you can also use relative page
offsets:

  Key Left  A    M    MoveToPage -1p 0p
  Key Up    A    M    MoveToPage 0p -1p
  Key Right A    M    MoveToPage 1p 0p
  Key Down  A    M    MoveToPage 0p 1p

Bye

Dominik ^_^  ^_^